gnutls_x509_crt_set_serial(3)

NAME
gnutls_x509_crt_set_serial - Set the certificate's serial number

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_serial(gnutls_x509_crt_t cert, const void * serial, size_t serial_size);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

const void * serial
    The serial number

size_t serial_size
    Holds the size of the serial field.

DESCRIPTION
This function will set the X.509 certificate's serial number. Serial is not always a 32 or 64bit number. Some CAs use large serial numbers, thus it may be wise to handle it as something opaque.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.